Subject: RE: A little geometrical problem

From: "Shobe, Dave" <[email-masked]>
Date: Fri, 01 Mar 2002 09:16:15 -0500

You're absolutely right--I gave a (partial) solution to the wrong problem.
(Having misread angle N-CA-CB for [torsion] angle N-C-CA-CB).  

--David Shobe

-----Original Message-----
From: Daquan Gao [mailto:[email-masked]]
Sent: Thursday, February 28, 2002 8:47 PM
To: Ingo Brunberg
Cc: [email-masked]; [email-masked]
Subject: CCL:A little geometrical problem

I thought about this again, found my previous answer was not complete.
Condition 2) can be satified when N-CA-C <= 180. If N-CA-C = 180, there
are infinitely many solutions; when N-CA-C<180 and equals the sum of the
other two angles, one solution.

Regards,
daquan

On Fri, 1 Mar 2002, Ingo Brunberg wrote:

> Obviously this problem is not as trivial as it seems. Though I can
> think of a rather complicated solution, I just want to point out, that
> there is most likely no single solution. The point you are searching
> is located on the intersection of two cones with the angles N-CA-CB
> and C-CA-CB originating from CA. So there are three different cases:
> 
> 1) N-CA-CB + C-CA-CB < N-CA-C: no solution
> 2) N-CA-CB + C-CA-CB = N-CA-C: one solution
> 3) N-CA-CB + C-CA-CB > N-CA-C: two solutions
> 
> Seems like the problem leads to a quadratic equation.
> 
> Regards,
> 
> Ingo
> 
> > A little geometrical problem :
> > 
> > Taken a residue in a PDB file, how can I calculate the Cartesian
> > coordinates of CB when I know the coordinates of N, CA and C, the angle
> > N-CA-CB, C-CA-CB and the bond length CA-CB ? 
> > 
> > It seems to be trivial but I am unable to find a solution !
> > 
> > I am sure that somebody can help me.
> > 
> > In advance thank you
> > 
> > LOGEAN Antoine                              
> 
> 
> 
> 
> 
> 

-= This is automatically added to each message by mailing script =-
[email-masked] -- To Everybody  | [email-masked] -- To Admins
[email-masked] -- HELP CHEMISTRY or HELP SEARCH
[email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]